#
# spec file for package papirus-folders
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           papirus-folders
Version:        1.13.1
Release:        1.4
Summary:        Change folders color of Papirus icon theme
License:        MIT
URL:            https://github.com/PapirusDevelopmentTeam/papirus-folders
Source:         https://github.com/PapirusDevelopmentTeam/papirus-folders/archive/v%{version}.tar.gz#/%{name}-%{version}.tar.gz
BuildRequires:  fdupes
Requires:       coreutils
Requires:       papirus-icon-theme
BuildArch:      noarch

%description
Papirus Folders is a command-line utility that allows changing the color of folders in Papirus icon theme.
Type 'papirus-folders --help' to see all options available.

%prep
%autosetup

%build

%install
mkdir -p %{buildroot}%{_bindir}
install -m 755 papirus-folders %{buildroot}%{_bindir}/papirus-folders
%fdupes %{buildroot}

%files
%doc README.md
%license LICENSE
%{_bindir}/papirus-folders

%changelog
* Tue Jan 23 2024 Andrea Manzini <andrea.manzini@suse.com>
- update to 1.13.1:
  * Fixed a potential issue with the color auto-detect feature
* Wed Feb 15 2023 Dirk Müller <dmueller@suse.com>
- update to 1.12.1:
  * Added Adwaita color
* Fri Apr  1 2022 andy great <andythe_great@pm.me>
- Update to version 1.12.0.
  * Added adwaita color
* Mon Jan 31 2022 andy great <andythe_great@pm.me>
- Update to version 1.11.0.
  * Added DISABLE_UPDATE_ICON_CACHE environment variable to disable
    updating the icon caches
  * Updated papirus-folders -l|--list command to make it parsable
    when executing in pipe and subshell
  * Replaced static list of colors to dynamic list in shell
    completions
- Update to version 1.10.0
  * Added darkcyan folder color that suitable to Pop!_OS GTK theme
* Thu Aug 26 2021 andy great <andythe_great@pm.me>
- Update to version 1.9.0.
  * Added carmine folder color
* Sun Nov  1 2020 andy great <andythe_great@pm.me>
- Update to version 1.8.0.
  * Added palebrown folder color that suitable to Adwaita GTK theme
  * Added breeze folder color that suitable to KDE Breeze theme
  * Added paleorange folder color that suitable to the default
    elementary OS theme
  * Update bash and zsh completion scripts
  * Drop KDE4 support
- Updates since 0.0.3.
  * Added yaru folder color that suitable to Ubuntu Yaru theme
  * Update bash and zsh completion scripts
  * Prevent changing user's icons when running with sudo
  * -t|--theme option now can accept a path to an icon theme as a
    value
  * Added -o|--once option to skip saving the config file when
    changing color
  * Write messages to stdout instead of stderr
  * Changed exit code when parser fails
  * Added nordic folder color that suitable to Nordic GTK theme
  * Added deeporange folder color that suitable to Yaru GTK theme
  * Added indigo and white colors to completion scripts
  * Added white folder colors
    PapirusDevelopmentTeam/papirus-icon-theme#1641
  * Added indigo folder colors
    PapirusDevelopmentTeam/papirus-icon-theme#1632
  * Added pink and purple folder colors to papirus-icon-theme
  * Improved the message of usage
  * Removed LOGNAME support
  * Reduced requirements to bash ≥ 4.0 and busybox utilities
  * Replaced find command to for-loop statement
  * Added --colour as a hidden alias for --color
  * Revert to default color works for unknown icon themes
  * Changed several error messages to make it more user-friendly
  * BSD and Linux versions of papirus-folders were merged into one
  * Fixed bug with invalid symlinks that appears when changing
    color to blue
  * Fixed find: ‘...’: No such file or directory crash
  * Fixed restore saved color when $HOME is unset
  * Fixed zsh completion for a case when icons_dir is a symlink
  * Added XDG Base Directory support
  * Improved bash/zsh completion scripts
  * Added bluegrey folder color to match Adapta-BlueGrey(-Nokto)
    theme from adapta-gtk-theme-colorpack
    PapirusDevelopmentTeam/papirus-icon-theme#1177
  * Fixed paths to install the completion scripts
  * Added zsh and bash completions
* Fri Mar  9 2018 alexdws101@gmail.com
- Fixed version number
* Tue Mar  6 2018 alexdws101@gmail.com
- Fixed issues in first commit
  * modified spec file
  * created changes file
  * patched upstream script to avoid following rpmlint warning:
  * papirus-folders.noarch: E: env-script-interpreter
  * (Badness: 9) /usr/bin/papirus-folders /usr/bin/env bash
* Wed Feb  7 2018 alexdws101@gmail.com
- Initial commit
